Set auto-deploy branch

Updates the GitHub branch used for automatic deployments.

Updates the GitHub branch that is used for automatic deployments.

Requires the storefront:deployments:write or storefront.write permission.

Request

PUT /storefront/deployments/github/deploy-branch

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/x-www-form-urlencoded

Request Body

FieldTypeRequiredDescription
branchstringYesThe name of the GitHub branch to set as the auto-deploy branch.

Example Request

PUT /storefront/deployments/github/deploy-branch
Content-Type: application/x-www-form-urlencoded

branch=main

Response

Example Response

{
  "ok": true
}
Form Data
string
required
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json